--- docs/man/nginx.8.orig	Sun Feb  5 20:02:59 2012
+++ docs/man/nginx.8	Sun Feb 26 20:05:50 2012
@@ -25,32 +26,29 @@
 .\" SUCH DAMAGE.
 .\"
 .\"
-.Dd August 10, 2011
+.Dd $Mdocdate: February 26 2012 $
 .Dt NGINX 8
 .Os
 .Sh NAME
 .Nm nginx
-.Nd "HTTP and reverse proxy server, mail proxy server"
+.Nd HTTP and reverse proxy server, mail proxy server
 .Sh SYNOPSIS
 .Nm
-.Op Fl hqtvV?
+.Op Fl ?hqtVv
 .Op Fl c Ar file
 .Op Fl g Ar directives
 .Op Fl p Ar prefix
 .Op Fl s Ar signal
 .Sh DESCRIPTION
-The
 .Nm
-(spelled
+(pronounced
 .Dq engine x )
 is an HTTP and reverse proxy server, as well as a mail proxy server.
-The
-.Nm
-is known for its high performance, stability, rich feature set, simple
+It is known for its high performance, stability, rich feature set, simple
 configuration, and low resource consumption.
 .Pp
 The options are as follows:
-.Bl -tag -width ".Fl d Ar directives"
+.Bl -tag -width Ds
 .It Fl ?\& | h
 Print help.
 .It Fl c Ar file
@@ -62,20 +60,20 @@
 .Sx EXAMPLES
 for details.
 .It Fl p Ar prefix
-Set prefix path.
-Default value is
+Set the prefix path.
+The default value is
 .Pa %%PREFIX%% .
 .It Fl q
 Suppress non-error messages during configuration testing.
 .It Fl s Ar signal
-Send signal to the master process.
+Send a signal to the master process.
 The argument
 .Ar signal
 can be one of:
 .Cm stop , quit , reopen , reload .
 The following table shows the corresponding system signals.
 .Pp
-.Bl -tag -width ".It Cm reopen" -compact
+.Bl -tag -width ".It Cm reopen" -offset indent -compact
 .It Cm stop
 .Dv SIGTERM
 .It Cm quit
@@ -87,22 +85,21 @@
 .El
 .It Fl t
 Don't run, just test the configuration file.
-The
 .Nm
-checks configuration for correct syntax and then tries to open files
-referred in configuration.
-.It Fl v
-Print
-.Nm
-version.
+checks the configuration file syntax and then tries to open any files
+referred to in the configuration file.
 .It Fl V
-Print
+Print the
 .Nm
-version, compiler version and
+version, compiler version, and
 .Pa configure
 script parameters.
+.It Fl v
+Print the
+.Nm
+version.
 .El
-.Sh SIGNALS
+.Pp
 The master process of
 .Nm
 can handle the following signals.
@@ -112,21 +109,21 @@
 Shut down quickly.
 .It Dv SIGHUP
 Reload configuration, start the new worker process with a new
-configuration, gracefully shut down old worker processes.
+configuration, and gracefully shut down old worker processes.
 .It Dv SIGQUIT
 Shut down gracefully.
 .It Dv SIGUSR1
 Reopen log files.
 .It Dv SIGUSR2
-Upgrade
+Upgrade the
 .Nm
 executable on the fly.
 .It Dv SIGWINCH
-Shut down gracefully worker processes.
+Shut down worker processes gracefully.
 .El
 .Pp
 While there's no need to explicitly control worker processes normally,
-they support some signals, too:
+they support some signals too:
 .Pp
 .Bl -tag -width ".It Dv SIGINT , SIGTERM" -compact
 .It Dv SIGTERM
@@ -150,7 +147,7 @@
 .Pp
 .Dl "error_log /path/to/log debug;"
 .Pp
-It is also possible to enable the debugging for some IP address:
+It is also possible to enable the debugging for a particular IP address:
 .Bd -literal -offset indent
 events {
 	debug_connection 127.0.0.1;
@@ -159,24 +156,24 @@
 .Sh FILES
 .Bl -tag -width indent -compact
 .It Pa %%PID_PATH%%
-Contains the process ID of the
-.Nm
-listening for connections.
-The content of this file is not sensitive; it can be world-readable.
+Contains the process ID of
+.Nm .
+The contents of this file are not sensitive, so it can be world-readable.
 .It Pa %%CONF_PATH%%
-Main configuration file.
+The main configuration file.
 .It Pa %%ERROR_LOG_PATH%%
 Error log file.
 .El
 .Sh EXIT STATUS
-Exit status is 0 on success, or 1 if the command fails.
+.Ex -std nginx
 .Sh EXAMPLES
-.Bd -literal
-nginx -t -c ~/mynginx.conf -g "pid /var/run/mynginx.pid; worker_processes 2;"
-.Ed
 Test configuration file
 .Pa ~/mynginx.conf
-with global directives for PID and quantity of worker processes.
+with global directives for PID and quantity of worker processes:
+.Bd -literal -offset indent
+nginx -t -c ~/mynginx.conf \e
+	-g "pid /var/run/mynginx.pid; worker_processes 2;"
+.Ed
 .Sh SEE ALSO
 .\"Xr nginx.conf 5
 .\"Pp
@@ -193,10 +190,10 @@
 started in 2002, with the first public release on October 4, 2004.
 .Sh AUTHORS
 .An -nosplit
-.An Igor Sysoev Aq igor@sysoev.ru
+.An Igor Sysoev Aq igor@sysoev.ru .
 .Pp
 This manual page was written by
 .An Sergey A. Osokin Aq osa@FreeBSD.org.ru
-as a result of compilation of many
+as a result of compiling many
 .Nm
-documents all over the world.
+documents from all over the world.
